package com.vanheusden.pfa;

public class MoveResult {
	private Move m;
	private String pv, source;
	private int eval, depth;

	MoveResult(final int eval, final int depth, final String pv, final Move m, final String source) {
		this.eval = eval;
		this.depth = depth;
		this.pv = pv;
		this.m = m;
		this.source = source;
	}

	MoveResult(final int eval, final int depth, final Move m, final String source) {
		this.eval = eval;
		this.depth = depth;
		this.pv = pv;
		this.m = m;
		this.source = source;
	}

	public String toString() {
		String p = getPv();
		if (p == null)
			p = "";
		else
			p = "\"" + p + "\"";

		return getMove() + "/" + getEval() + "/" + getDepth() + "/" + p + "/" + getSource();
	}

	int getEval() {
		return eval;
	}

	int getDepth() {
		return depth;
	}

	String getPv() {
		return pv;
	}

	Move getMove() {
		return m;
	}

	String getSource() {
		return source;
	}
}
